#include "InputHandler.h"

#include <iostream>

InputHandler::InputHandler() {

}

InputHandler::~InputHandler() {
	//Free all Commands
}

void InputHandler::handleInput(SDL_Event *event) {
	if(event == NULL) {
		return;
	}
	switch (event->type) {
		case SDL_KEYDOWN: 
			std::cout << "The Key " << SDL_GetKeyName(event->key.keysym.sym) << " has been pressed!" << std::endl;

			break;
		case SDL_KEYUP: 
			std::cout << "The Key " << SDL_GetKeyName(event->key.keysym.sym) << " has been released!" << std::endl;
			break;
		default: break;
	}
}
